gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
Gst::VideoRectangle Struct Reference

A helper structure for the Gst::VideoSink class representing a rectangular area. More...

List of all members.

## Public Attributes

int | x
| The X coordinate of the rectangle's top-left point.
int | y
| The Y coordinate of rectangle's top-left point.
int | w
| The width of the rectangle.
int | h
| The height of the rectangle.

## Detailed Description

A helper structure for the Gst::VideoSink class representing a rectangular area.

## Member Data Documentation

int Gst::VideoRectangle::h

The height of the rectangle.

int Gst::VideoRectangle::w

The width of the rectangle.

int Gst::VideoRectangle::x

The X coordinate of the rectangle's top-left point.

int Gst::VideoRectangle::y

The Y coordinate of rectangle's top-left point.

The documentation for this struct was generated from the following file:

- gstreamermm/videosink.h